
Foreman - Feature #34213

Introduce is_true? & is_false? template helpers

01/04/2022 07:56 AM - Leos Stejskal

Status: Closed   

Priority: Normal   

Assignee: Leos Stejskal   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 3.1.1, 3.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9013

  

Description

Template helpers for checking if a value is truthly or falsy

Related issues:

Related to Foreman - Bug #34206: Fix bool params in global registration template Closed

Related to Foreman - Refactor #34365: Update examples for truthy? and falsy? ... Closed

Associated revisions

Revision 5352e55d - 01/05/2022 12:01 PM - Leos Stejskal

Fixes #34213 - truthy? and falsy? template helpers

Template helpers for checking if a value is truthy or falsy

History

#1 - 01/04/2022 07:56 AM - Leos Stejskal

- Related to Bug #34206: Fix bool params in global registration template added

#2 - 01/04/2022 07:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9013 added

#3 - 01/05/2022 12:01 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 01/05/2022 01:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|5352e55d7f366dd97a4227ec1cb544fc6eeae0f6.

#5 - 01/19/2022 08:49 AM - Ondřej Ezr

- Fixed in Releases 3.1.1 added

#6 - 02/02/2022 08:09 PM - Ondřej Ezr

- Related to Refactor #34365: Update examples for truthy? and falsy? macros added

#7 - 05/26/2022 09:43 AM - Amit Upadhye

- Subject changed from is_true? & is_false? template helpers to Introduce is_true? & is_false? template helpers
